Commit c90cd332 authored by Frans Pop's avatar Frans Pop Committed by Rafael J. Wysocki
Browse files

floppy: Switch driver to dev_pm_ops



Gets rid of the following warning:
Platform driver 'floppy' needs updating - please use dev_pm_ops

[rjw: Fixed up the definition of floppy_pm_ops.]
Signed-off-by: default avatarFrans Pop <elendil@planet.nl>
Signed-off-by: default avatarAndrew Morton <akpm@linux-foundation.org>
Signed-off-by: default avatarRafael J. Wysocki <rjw@sisk.pl>
parent 8de03073
......@@ -4151,7 +4151,7 @@ static void floppy_device_release(struct device *dev)
{
}
static int floppy_resume(struct platform_device *dev)
static int floppy_resume(struct device *dev)
{
int fdc;
......@@ -4162,10 +4162,15 @@ static int floppy_resume(struct platform_device *dev)
return 0;
}
static struct platform_driver floppy_driver = {
static struct dev_pm_ops floppy_pm_ops = {
.resume = floppy_resume,
.restore = floppy_resume,
};
static struct platform_driver floppy_driver = {
.driver = {
.name = "floppy",
.pm = &floppy_pm_ops,
},
};
......
Markdown is supported
0% or .
You are about to add 0 people to the discussion. Proceed with caution.
Finish editing this message first!
Please register or to comment